### Method

# Gio Socket leave_multicast_group

since: 2.32

#### Declaration [src]

    gboolean
    g_socket_leave_multicast_group (
      GSocket* socket,
      GInetAddress* group,
      gboolean source_specific,
      const gchar* iface,
      GError** error
    )

#### Description [src]

Removes `socket` from the multicast group defined by `group`, `iface`, and `source_specific` (which must all have the same values they had when you joined the group).

`socket` remains bound to its address and port, and can still receive unicast messages after calling this.

To unbind to a given source-specific multicast address, use `g_socket_leave_multicast_group_ssm()` instead.

Available since: 2.32

#### Parameters

`group`

  Type: `GInetAddress`

  A `GInetAddress` specifying the group address to leave.

  The data is owned by the caller of the method.

`source_specific`

  Type: `gboolean`

  `TRUE` if source-specific multicast was used.

`iface`

  Type: `const gchar*`

  Interface used.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.